package com.diagbot.client;

import com.diagbot.client.bean.GdbResponse;
import com.diagbot.client.bean.Response;
import com.diagbot.client.hystrix.HighRiskServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/12/21 11:38
 */
@FeignClient(name = "HighRisk", url = "${ai.server.address}", fallback = HighRiskServiceHystrix.class)
public interface HighRiskServiceClient {
    @PostMapping(value = "/web/graphdb/HighRisk")
    Response<GdbResponse> highRiskPageData(@RequestBody Map<String, String> map);
}
